libunwind is not directly available to vendors
am: 506316be20

Change-Id: I9a016b85d864b3399a68267d127bec48fbc69b65
diff --git a/Android.bp b/Android.bp
index bbebc33..cb527c5 100644
--- a/Android.bp
+++ b/Android.bp
@@ -22,7 +22,6 @@
 cc_defaults {
     name: "libunwind_defaults",
     host_supported: true,
-    vendor_available: true,
 
     cppflags: [
         "-Wno-old-style-cast",
@@ -124,6 +123,7 @@
 cc_library {
     name: "libunwind",
     defaults: ["libunwind_defaults"],
+    vendor_available: false,
     vndk: {
         enabled: true,
         support_system_process: true,
@@ -427,6 +427,7 @@
 cc_library_static {
     name: "libunwindbacktrace",
     defaults: ["libunwind_defaults"],
+    vendor_available: true,
     sdk_version: "21",
     srcs: [
         "src/unwind/BacktraceWrapper.c",
@@ -454,8 +455,6 @@
         "-fvisibility=hidden",
     ],
 
-    whole_static_libs: ["libunwind"],
-
     target: {
         linux_bionic: {
             enabled: true,